BOPS Product Availability (Using UPC ID) V4
- Description
- Request URL
- Path and Query Parameters
- Sample Requests and Responses
- cURL Examples
- Error Codes
Description
The V4 BOPS (Buy Online Pick-up in Store) Product Availability service allows you specify a Product ID and return the products BOPS availability at a nearby store using zipcode, city-state, or locationnumber.
HTTP Method and Request URL
GET
https://api.macys.com/v4/catalog/bops/product/[ProductID](object(nestedobject))
Path and Query Parameters
HTTP Header Parameters
|
Parameter |
Description |
Mandatory |
Sample Value |
|
Accept |
Specifies the output format. Can be application/json or application/xml. |
Yes |
application/json application/xml |
|
x-macys-webservice-client-id |
Pass the apikey as a header value which is called x-macys-webservice-client-id. The api key is the 24 character alphanumeric string assigned to your application when you registered it. Click here for a list of your API keys. |
Yes |
xmj9js4jkdpe1983fmwu98gh |
Path Parameters
|
Parameter |
Description |
Mandatory |
Sample Value |
|
productID |
Unique ID for each product. Multiple UPC IDs can be sent in one call by using a comma |
optional, but you need at least upcNumber or productId. |
50946872827,96018254016 |
Object Parameters
|
Object |
Nested Object |
Description |
Mandatory |
Sample Value |
| upcs | upcdetails, storedata | Returns UPC details | No | (upcs(upcdetails)) |
| stores | No | (stores) |
Query Parameters
|
Parameter |
Description |
Mandatory |
Sample Value |
| locationNumber | Location number of the area you are trying to locate a BOPS product | No | 5459 |
| latitude | latitude of area you are trying to locate a BOPS product. | No | 37.355965 |
| longitude | longitude of area you are trying to locate a BOPS product. | No | -122.01318 |
| zipCode | Zip code of area you are trying to locate a BOPS product. | No | 94105 |
| city | City code of area you are trying to locate a BOPS product. "state" parameter is needed if specifying the "city" parameter. | No | San Francisco |
| state | City code of area you are trying to locate a BOPS product "city" parameter is needed ifspecifying the "state" parameter. | No | CA |
| distance | Default is 200 (miles). Can be a number between 1-200 | No | 50 |
| numberOfStores | Default is 15. Can be a number between 1-15 | No | 5 |
| callback | If sent, the format is JSONP (JSON with Padding) with the callback returned with the JSON response. You can put anything in the callback parameter and whatever you send is returned. | No | magicofmacysap |
Sample Requests and Responses
Sample Requests
Request URL:
GET
http://api.macys.com/v4/catalog/bops/upc/50946872827(upcs(upcdetails,storedata),stores)?locationNumber=5459&distance=50&numberOfStores=5
HTTP Header:
x-macys-webservice-client-id: xmj9js4jkdpe1983fmwu98gh
Accept: application/json
Sample Response
{
"upcs": [{
"upcNumber": 50946872827,
"upcAvailability": [{
"locationNumber": 5459,
"storeAvailabilityStatus": "AVAILABLE",
"bopsAvailabilityStatus": "NOT_AVAILABLE",
"bopsEligibilityStatus": "ELIGIBLE"
}]
}],
"stores": [{
"storeId": 314,
"storeNumber": 770,
"locationNumber": 5459,
"divisionId": "3",
"name": "Macy's International Mall West Dade",
"location": {
"latitude": "25.7816773",
"longitude": "-80.3686646"
},
"address": {
"line1": "1205 N.W. 107th Ave",
"line2": "",
"city": "Miami",
"state": "FL",
"countryCode": "USA ",
"zipCode": "33172"
},
"phone": "305-594-6300",
"storeworkinghours": [{
"storeoperationdate": "2014-03-31",
"storeopenhour": "10:00",
"storeclosehour": "22:00"
}, {
"storeoperationdate": "2014-04-01",
"storeopenhour": "10:00",
"storeclosehour": "22:00"
}, {
"storeoperationdate": "2014-04-02",
"storeopenhour": "10:00",
"storeclosehour": "22:00"
}, {
"storeoperationdate": "2014-04-03",
"storeopenhour": "10:00",
"storeclosehour": "22:00"
}, {
"storeoperationdate": "2014-04-04",
"storeopenhour": "10:00",
"storeclosehour": "22:00"
}, {
"storeoperationdate": "2014-04-05",
"storeopenhour": "10:00",
"storeclosehour": "22:00"
}, {
"storeoperationdate": "2014-04-06",
"storeopenhour": "11:00",
"storeclosehour": "20:00"
}, {
"storeoperationdate": "2014-04-07",
"storeopenhour": "10:00",
"storeclosehour": "22:00"
}, {
"storeoperationdate": "2014-04-08",
"storeopenhour": "10:00",
"storeclosehour": "22:00"
}, {
"storeoperationdate": "2014-04-09",
"storeopenhour": "10:00",
"storeclosehour": "22:00"
}, {
"storeoperationdate": "2014-04-10",
"storeopenhour": "10:00",
"storeclosehour": "22:00"
}, {
"storeoperationdate": "2014-04-11",
"storeopenhour": "10:00",
"storeclosehour": "22:00"
}],
"order": "0",
"attributes": [{
"attributeName": "BOPS_NPD",
"attributeValue": "25-DEC-14"
}, {
"attributeName": "SL_MATERNITY",
"attributeValue": "TRUE"
}, {
"attributeName": "BOPS_STORE_OPEN_BUFFER",
"attributeValue": "01:00"
}, {
"attributeName": "SL_SHOPPER",
"attributeValue": "FALSE"
}, {
"attributeName": "BOPS_STORE_PHONE",
"attributeValue": "8002896229"
}, {
"attributeName": "STORE_REGION_LOCATION",
"attributeValue": "United States"
}, {
"attributeName": "SL_VISITOR",
"attributeValue": "FALSE"
}, {
"attributeName": "SL_RESTAURANT",
"attributeValue": "TRUE"
}, {
"attributeName": "TIMEZONE",
"attributeValue": "EST"
}, {
"attributeName": "SHORT_DESC",
"attributeValue": "store 25"
}, {
"attributeName": "LATITUDE",
"attributeValue": "25.7816773"
}, {
"attributeName": "BOPS_PICKUP_INSTRUCTIONS",
"attributeValue": "*"
}, {
"attributeName": "DAYLIGHT_SAVINGS_INDICATOR",
"attributeValue": "TRUE"
}, {
"attributeName": "SL_BRIDAL",
"attributeValue": "TRUE"
}, {
"attributeName": "STORE_TYPE_DESC",
"attributeValue": "NOF"
}, {
"attributeName": "SL_FURNITURE",
"attributeValue": "FALSE"
}, {
"attributeName": "STORE_LISTING_ENABLED",
"attributeValue": "FALSE"
}, {
"attributeName": "SL_MATTRESS",
"attributeValue": "TRUE"
}, {
"attributeName": "BOPS_PICKUP_CUTOFF",
"attributeValue": "02:00"
}, {
"attributeName": "BOPS_SLA_HOURS",
"attributeValue": "4"
}, {
"attributeName": "SL_THISIT",
"attributeValue": "TRUE"
}, {
"attributeName": "LONGITUDE",
"attributeValue": "-80.3686646"
}, {
"attributeName": "SL_DESIGN",
"attributeValue": "FALSE"
}, {
"attributeName": "GMT_OFFSET",
"attributeValue": "-5"
}, {
"attributeName": "BOPS_ELIGIBILITY",
"attributeValue": "FALSE"
}, {
"attributeName": "HAS_EVENTS",
"attributeValue": "TRUE"
}]
}]
}
cURL Example
curl -X GET -H "x-macys-webservice-client-id: xxxxxxxxxx" -H "Accept: application/json" "http://api.macys.com/v4/catalog/bops/upc/50946872827(upcs(upcdetails,storedata),stores)?locationNumber=5459&distance=50&numberOfStores=5"
Error Codes
Call Specific Error Codes:
NONE
General Error Handling Documentation:
Docs Navigation
- Overview
- Customer Services
- Common API Characteristics
- Ad Media
- Catalog Services
- Order Services
- Mobile Utilities
- Promotion and Coupon Services
- Registry Services
- Review Services
- Store Services
- User Services
- Error Handling
- Deprecated Services
- Macy's API FAQ
- BOPS Stores
- What's New